#include "xmaterialinfo.h"

XMaterialInfo::XMaterialInfo()
    : XAsset()
    , mName()
    , mGameFlags(0)
    , mSortKey(0)
    , mTextureAtlasRowCount(0)
    , mTextureAtlasColumnCount(0)
    , mDrawSurf()
    , mSurfaceTypeBits(0)
{

}

XMaterialInfo::~XMaterialInfo()
{

}

void XMaterialInfo::ParseData(QDataStream *aStream)
{
    mName.ParsePtr(aStream, false);

    *aStream
        >> mGameFlags
        >> mSortKey
        >> mTextureAtlasRowCount
        >> mTextureAtlasColumnCount;

    mDrawSurf.ParseData(aStream);

    *aStream >> mSurfaceTypeBits;
    aStream->skipRawData(4);

    mName.ParseData(aStream);
}

void XMaterialInfo::Clear()
{

}
